import { DataSourceOptions, EntityTarget, ObjectLiteral } from 'typeorm';
export declare abstract class AbstractApplicationDataSource {
    private dataSource?;
    connected: boolean;
    protected abstract initializeRepositories(): void;
    initialize(options: DataSourceOptions): Promise<void>;
    teardown(): Promise<void>;
    getRepository<Entity extends ObjectLiteral>(target: EntityTarget<Entity>): import("typeorm").Repository<Entity>;
}
//# sourceMappingURL=abstractDataSource.d.ts.map